Create a talent placement request
curl --request POST \
--url https://api.scrums.com/v1/talent/requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "WS-26-000021",
"subscription_id": "SUB-26-001122",
"project_tags": [
"PROJ-26-004281"
],
"role": "Senior React Engineer",
"required_skills": [
"React",
"TypeScript",
"Node.js"
],
"hours_per_week": 40,
"start_date": "2026-05-01",
"engagement_type": "staff_augmentation",
"description": "Senior front-end engineer to own the design system and new checkout UI.",
"duration_weeks": 24
}
'import requests
url = "https://api.scrums.com/v1/talent/requests"
payload = {
"workspace_id": "WS-26-000021",
"subscription_id": "SUB-26-001122",
"project_tags": ["PROJ-26-004281"],
"role": "Senior React Engineer",
"required_skills": ["React", "TypeScript", "Node.js"],
"hours_per_week": 40,
"start_date": "2026-05-01",
"engagement_type": "staff_augmentation",
"description": "Senior front-end engineer to own the design system and new checkout UI.",
"duration_weeks": 24
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: 'WS-26-000021',
subscription_id: 'SUB-26-001122',
project_tags: ['PROJ-26-004281'],
role: 'Senior React Engineer',
required_skills: ['React', 'TypeScript', 'Node.js'],
hours_per_week: 40,
start_date: '2026-05-01',
engagement_type: 'staff_augmentation',
description: 'Senior front-end engineer to own the design system and new checkout UI.',
duration_weeks: 24
})
};
fetch('https://api.scrums.com/v1/talent/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "TREQ-26-000091",
"workspace_id": "WS-26-000021",
"status": "matching",
"role": "Senior React Engineer",
"hours_per_week": 40,
"start_date": "2026-05-01",
"created_at": "2026-04-15T09:10:00Z"
}
}{
"code": "invalid_request",
"message": "workspace_id is required.",
"status": 400
}{
"code": "unauthorized",
"message": "Bearer token is missing or expired.",
"status": 401
}{
"code": "forbidden",
"message": "You do not have access to this resource.",
"status": 403
}Talent Marketplace
Create a talent request
Submits a new request to match and place vetted engineering talent into a workspace.
POST
/
talent
/
requests
Create a talent placement request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"WS-26-000021"
Example:
"Senior React Engineer"
Example:
40
Example:
"2026-05-01"
Available options:
staff_augmentation, dedicated_team, managed_delivery Example:
"staff_augmentation"
Example:
"SUB-26-001122"
Example:
["PROJ-26-004281"]
Example:
["React", "TypeScript", "Node.js"]
Example:
"Senior front-end engineer to own the design system and new checkout UI."
Example:
24
Response
The newly created talent request.
Show child attributes
Show child attributes
Last modified on April 15, 2026
Was this page helpful?
⌘I